@echo off
rem Generates index and slides for directories
if exist sortorder.txt sorthtm sortorder.txt
if exist rebuild.dir goto rebuild
if "%_MOD%"=="0" goto index
echo Building slides...
mkhtmsld -a -b -d -h -v -u %1 %2 %3
rem if errorlevel 1 pause
goto index
:rebuild
echo Building slides...
mkhtmsld -a -b -d -h -v %1 %2 %3
rem if errorlevel 1 pause
del rebuild.dir
:index
if not exist thumbs\NUL goto index1
echo Building thumbnails...
if not exist thumbs\hidden.dir rem >thumbs\hidden.dir
mkthumbs
:index1
echo Building index...
mkhtmidx
rem if errorlevel 1 pause
setsig
echo. 
:end
